com.massivecraft.factions.util.Particles

## Enum ParticleEffect.ParticleProperty

- java.lang.Object
- - java.lang.Enum<ParticleEffect.ParticleProperty>
  - - com.massivecraft.factions.util.Particles.ParticleEffect.ParticleProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ParticleEffect.ParticleProperty>
  Enclosing class:
    ParticleEffect

      public static enum ParticleEffect.ParticleProperty
      extends java.lang.Enum<ParticleEffect.ParticleProperty>

  Represents the property of a particle effect

  This class is part of the ParticleEffect Library and follows the same usage conditions

  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLORABLE` The particle effect uses the offsets as color values
    `DIRECTIONAL` The particle effect uses the offsets as direction values
    `REQUIRES_DATA` The particle effect requires block or item data to be displayed
    `REQUIRES_WATER` The particle effect requires water to be displayed

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParticleEffect.ParticleProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ParticleEffect.ParticleProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIRES_WATER

          public static final ParticleEffect.ParticleProperty REQUIRES_WATER

      The particle effect requires water to be displayed

    - #### REQUIRES_DATA

          public static final ParticleEffect.ParticleProperty REQUIRES_DATA

      The particle effect requires block or item data to be displayed

    - #### DIRECTIONAL

          public static final ParticleEffect.ParticleProperty DIRECTIONAL

      The particle effect uses the offsets as direction values

    - #### COLORABLE

          public static final ParticleEffect.ParticleProperty COLORABLE

      The particle effect uses the offsets as color values

  - ### Method Detail

    - #### values

          public static ParticleEffect.ParticleProperty[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParticleEffect.ParticleProperty c : ParticleEffect.ParticleProperty.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParticleEffect.ParticleProperty valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null